@media only screen and (min-width: 801px) {
  .mobile-only {
    display: none !important;
  }
}

@media only screen and (max-width: 800px) {
  .desktop-only {
    display: none !important;
  }
}

.gen-heading {
  border-bottom: 1px solid #D1D5DC;
  padding-bottom: 2.2rem;
}
.gen-heading-text {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.gen-heading-text > div h1 {
  font-family: "Fraunces", serif;
  font-size: 3.6rem;
}
@media only screen and (max-width: 700px) {
  .gen-heading-text > div h1 {
    font-size: 2.8rem;
  }
}
.gen-heading h1 {
  font-family: "Fraunces", serif;
  font-size: 3.6rem;
}
@media only screen and (max-width: 700px) {
  .gen-heading h1 {
    font-size: 2.8rem;
  }
}
.gen-heading .desc {
  font-size: 1.6rem;
  line-height: 2.4rem;
  color: #4A5565;
  max-width: 758px;
}
.gen-heading .options {
  display: flex;
  flex-wrap: wrap;
  gap: 1.2rem;
  margin-top: 3.2rem;
}
.gen-heading .options:has(.options__others) {
  justify-content: space-between;
}
.gen-heading .options__others {
  display: flex;
  flex-wrap: wrap;
  gap: 1.2rem;
}
.gen-heading .options__group {
  display: flex;
  flex-wrap: wrap;
  justify-self: end;
  gap: 1.2rem;
}
.gen-heading .options .option {
  display: block;
  font-size: 1.4rem;
  text-align: center;
  padding: 1.2rem;
  color: #6A7282;
  border: 1px solid #000;
  transition: all 0.3s cubic-bezier(0.34, 1.56, 0.64, 1);
}
.gen-heading .options .option:not(.option--selected):hover {
  background: rgba(246, 235, 115, 0.6156862745);
}
@media only screen and (max-width: 1000px) {
  .gen-heading .options .option {
    font-size: 1.2rem;
    padding: 0.8rem;
  }
}
.gen-heading .options .option--selected {
  background: #F6EC73;
  color: #000;
  font-weight: bold;
}
